%global pyname pystache

Name:           python-pystache
Version:        0.6.0
Release:        %mkrel 1
Summary:        Mustache for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pystache/
Source0:        https://pypi.io/packages/source/p/%{pyname}/%{pyname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%package -n python3-%{pyname}
Group:          Development/Python
Summary:        Mustache for Python
Requires:       python3-simplejson
%{?python_provide:%python_provide python3-%{pyname}}

%description -n python3-%{pyname}
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%prep
%setup -qn %{pyname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}


%files -n python3-%{pyname}
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python3_sitelib}/%{pyname}/
%{python3_sitelib}/%{pyname}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{pyname}
%{_bindir}/%{pyname}-test


%changelog
* Tue Aug 02 2022 TerryN <terryn94 at gmail.com> 0.6.0-1pclos2022
- update and rebuild for python 3.10

* Fri Oct 30 2020 tex - 0.5.4-1pclos2020
- create pkg
